import express from "express";
import { addBook, updateBook, deleteBook, getAllBooks } from "../controllers/bookController.js";
import verifyCookies from "../middleware/authMiddleware.js";

const router = express.Router();

router.post("/add", verifyCookies, addBook);
router.put("/:id", verifyCookies, updateBook);
router.delete("/:id", verifyCookies, deleteBook);
router.get("/", verifyCookies, getAllBooks);

export default router;
